[Regression] VisualEditor: Link tool produces "undefined" in normal use
Closed, ResolvedPublic

Description

The link tool showing "undefined" in step 5 of the bug report

  1. Hit an article on English Wikipedia and click "Edit" to invoke Visual Editor. I used http://en.wikipedia.org/wiki/Savage%2C_Montana.
  1. Double-click any word to highlight it. I used the first word of the "History" section, "Savage".
  1. Click the Link Tool icon, and the tool pops up.
  1. Choose any article title in the dropdown (I chose "Savage Land") and press Enter.
  1. The dropdown closes, and in the tool's text input, instead of saying "Savage Land," it says "undefined." (See screenshot to be uploaded.)
  1. Now click outside the tool -- somewhere else on the article. The tool becomes completely blank (see second screenshot) and article text disappears.

Version: unspecified
Severity: critical

Attached:

bzimport set Reference to bz47413.
maiden_taiwan created this task.Via LegacyApr 19 2013, 2:30 PM
maiden_taiwan added a comment.Via ConduitApr 19 2013, 2:31 PM

Created attachment 12146
The link tool going completely blank, and the article text behind it disappearing, as in step 6 of the bug report.

Attached:

maiden_taiwan added a comment.Via ConduitApr 19 2013, 2:32 PM

This is in Chrome 25.0.1364.172 on Ubuntu Linux.

Jdforrester-WMF added a comment.Via ConduitApr 19 2013, 4:10 PM

Confirmed in Chrome/Mac, Firefox/Mac and Firefox/Linux. Looks like a general critical issue.

TheDJ added a comment.Via ConduitApr 20 2013, 1:33 PM

Same for me.

In addition to Dan's step 6, i note that after step 6 I see: "TypeError: 'undefined' is not an object (evaluating 'dataElement.attributes.title')"

Jdforrester-WMF added a comment.Via ConduitApr 23 2013, 6:30 PM
  • Bug 47546 has been marked as a duplicate of this bug. ***
gerritbot added a comment.Via ConduitApr 25 2013, 1:18 AM

Related URL: https://gerrit.wikimedia.org/r/60781 (Gerrit Change I286a28002c1691e58bbd7de04ed08cceb8b3bb07)

Jdforrester-WMF added a comment.Via ConduitApr 25 2013, 1:51 AM

Now merged and going out tomorrow.

Jdforrester-WMF added a comment.Via ConduitApr 25 2013, 7:29 PM

Seemingly not fixed at all - still broken in master/production with same behaviour as before.

Jdforrester-WMF added a comment.Via ConduitApr 25 2013, 7:57 PM

Now fixed by gerrit 60907 - thanks Trevor!

Add Comment